path: /build/build/namespace-autoclean-dev-perl-0.280.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-perl/namespace-autoclean -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-perl/namespace-autoclean
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/namespace-autoclean && luet-portage
    --dir /pkgdir/namespace-autoclean dev-perl/namespace-autoclean && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3583c0112aa5e63b83118cdb730fe46b7b61aaea5eaf263e532111a46d903777
  package:
    name: namespace-autoclean
    version: 0.280.0
    category: dev-perl
    use_flags:
    - -test
    requires:
    - name: Sub-Identify
      version: '>=0'
      category: dev-perl
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Keep imports out of your namespace
    uri:
    - https://metacpan.org/release/namespace-autoclean
    license: '|| ( Artistic GPL-1+ )'
    buildtimestamp: 2023-08-29 17:42:26.621797235 +0000 UTC m=+149.483152271
    labels:
      DEPEND: '>=dev-perl/B-Hooks-EndOfScope-0.120.0 virtual/perl-Scalar-List-Utils
        dev-perl/Sub-Identify >=dev-perl/namespace-clean-0.200.0 virtual/perl-ExtUtils-MakeMaker
        test? ( virtual/perl-Carp virtual/perl-ExtUtils-MakeMaker virtual/perl-File-Spec
        virtual/perl-Scalar-List-Utils >=virtual/perl-Test-Simple-0.880.0 dev-perl/Test-Requires
        ) dev-lang/perl:='
      IUSE: test
      RDEPEND: '>=dev-perl/B-Hooks-EndOfScope-0.120.0 virtual/perl-Scalar-List-Utils
        dev-perl/Sub-Identify >=dev-perl/namespace-clean-0.200.0 dev-lang/perl:='
      emerge.packages: dev-perl/namespace-autoclean
      kit: perl-kit
      original.package.name: dev-perl/namespace-autoclean
      original.package.slot: "0"
      original.package.version: 0.280.0
    treedir: /build/packages
  package_dir: /pkgdir/namespace-autoclean
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 68363643e7229923457905e22ecaed9ebd2eb2eb28d0f78f29db2725093eed3c
compressiontype: zstd
files:
- usr/lib64/perl5/vendor_perl/5.32.0/namespace/autoclean.pm
- usr/lib64/perl5/vendor_perl/5.32.0/x86_64-linux/auto/namespace/autoclean/.packlist
- usr/share/doc/namespace-autoclean-0.280.0/Changes.bz2
- usr/share/doc/namespace-autoclean-0.280.0/README.bz2
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/BUILD_TIME
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CATEGORY
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CBUILD
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CFLAGS
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CHOST
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CONTENTS
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/COUNTER
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/CXXFLAGS
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/DEFINED_PHASES
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/DEPEND
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/DESCRIPTION
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/EAPI
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/FEATURES
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/HOMEPAGE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/INHERITED
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/IUSE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/IUSE_EFFECTIVE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/KEYWORDS
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/LDFLAGS
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/LICENSE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/PF
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/RDEPEND
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/SIZE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/SLOT
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/USE
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/environment.bz2
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/namespace-autoclean-0.280.0.ebuild
- var/db/pkg/dev-perl/namespace-autoclean-0.280.0/repository
package_cacheimage: ""
runtime:
  name: namespace-autoclean
  version: 0.280.0
  category: dev-perl
  use_flags:
  - -test
  requires:
  - name: Sub-Identify
    version: '>=0'
    category: dev-perl
  - name: namespace-clean
    version: '>=0'
    category: dev-perl
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Keep imports out of your namespace
  uri:
  - https://metacpan.org/release/namespace-autoclean
  license: '|| ( Artistic GPL-1+ )'
  labels:
    DEPEND: '>=dev-perl/B-Hooks-EndOfScope-0.120.0 virtual/perl-Scalar-List-Utils
      dev-perl/Sub-Identify >=dev-perl/namespace-clean-0.200.0 virtual/perl-ExtUtils-MakeMaker
      test? ( virtual/perl-Carp virtual/perl-ExtUtils-MakeMaker virtual/perl-File-Spec
      virtual/perl-Scalar-List-Utils >=virtual/perl-Test-Simple-0.880.0 dev-perl/Test-Requires
      ) dev-lang/perl:='
    IUSE: test
    RDEPEND: '>=dev-perl/B-Hooks-EndOfScope-0.120.0 virtual/perl-Scalar-List-Utils
      dev-perl/Sub-Identify >=dev-perl/namespace-clean-0.200.0 dev-lang/perl:='
    emerge.packages: dev-perl/namespace-autoclean
    kit: perl-kit
    original.package.name: dev-perl/namespace-autoclean
    original.package.slot: "0"
    original.package.version: 0.280.0
